Module | ActionController::HttpAuthentication::Digest::ControllerMethods
In: | lib/action_controller/http_authentication.rb

### Methods

authenticate_or_request_with_http_digest authenticate_with_http_digest request_http_digest_authentication

### Public Instance methods

authenticate_or_request_with_http_digest(realm = "Application", &password_procedure)
authenticate_with_http_digest(realm = "Application", &password_procedure)

Authenticate with HTTP Digest, returns true or false

request_http_digest_authentication(realm = "Application", message = nil)

Render output including the HTTP Digest authentication header

[Validate]